Cyberduck Mountain Duck CLI

#6403 closed defect (fixed)

S3 - Intermittent java.lang.StringIndexOutOfBoundsException failing upload

Reported by: Rory Owned by: dkocher
Priority: high Milestone: 4.3
Component: s3 Version: 4.2.1
Severity: normal Keywords:
Cc: cforney@… Architecture: Intel
Platform: Windows 7

Description

I have a pretty poor internet connection and when uploading large files or many files via CyberDuck I relatively regularly receive a java.lang.StringIndexOutOfBoundsException. I can retry and eventually the file will upload successfully. See screenshot for details of the error. Platform: Win Server 2008.

Attachments (2)

cyberduck-StringIndexOutOfBoundsException.png (21.6 KB) - added by Rory on Nov 29, 2011 at 9:37:15 AM.
cyberduck.log (21.4 KB) - added by cforney on Jun 28, 2012 at 9:30:57 PM.

Download all attachments as: .zip

Change History (12)

comment:1 Changed on Nov 29, 2011 at 9:53:45 AM by dkocher

Please attach the file cyberduck.log in the application support directory.

comment:2 Changed on Dec 1, 2011 at 4:49:05 PM by dkocher

  • Milestone set to 4.2.1

comment:3 Changed on Dec 1, 2011 at 5:33:47 PM by dkocher

Please provide us with the log files requested as we cannot replicate the issue without.

comment:4 Changed on Dec 5, 2011 at 10:58:58 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please upgrade to 4.2 and reopen with the crash report and full transcript from the log drawer if you still encounter this issue.

comment:5 Changed on Jun 28, 2012 at 9:23:48 PM by cforney

I ran into this problem uplaoding a file around 3GB in size to Amazon S3. After 4 tries and three different errors I was able to get it uploaded.

The other errors were:

  • "Connection reset by peer: socket write error" while trying to upload the same file.
  • "I/O Error upload failed. Skipped xxxx bytes instead of yyyyyyy." Same issue as here: http://trac.cyberduck.ch/ticket/4084

Looking at the cyberduck.log I dont see any of the errors from today (6/28/12), so I'm not sure what happened there. Let me know if there is any other information I can provide.

Also, I am using a very fast wired internet connection, so it is unlikely that is the issue.

Thank you for your help!

Last edited on Jun 28, 2012 at 9:35:56 PM by cforney (previous) (diff)

Changed on Jun 28, 2012 at 9:30:57 PM by cforney

comment:6 Changed on Jun 28, 2012 at 9:39:35 PM by cforney

  • Cc cforney@… added
  • Priority changed from normal to high
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 4.1.3 to 4.2.1

comment:7 Changed on Jun 28, 2012 at 11:44:50 PM by cforney

Here is my output from the log drawer during a transfer of a different file (1.6GB), getting the same StringIndexOutOfBoundsException.

GET /?delimiter=%2F&max-keys=1000&prefix=rbechtel%2FEnglish_Literature%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:31:20 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: y/LQdmZMqc3TLeC0hejynjjckVLTCGswBXpbDqUsy2IEbjINm48nk4tHEq0lsX55
x-amz-request-id: C319E565612012A3
Date: Thu, 28 Jun 2012 23:31:25 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
HEAD / HTTP/1.1
Date: Thu, 28 Jun 2012 23:36:02 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: Rn9D4A0wOEbk2DNfDp52deYg4KcATTKMfj7GqFSaZ2jwq13lR0w7Kiot81YOTiYf
x-amz-request-id: C9C74CE9A5D9C781
Date: Thu, 28 Jun 2012 23:36:06 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?acl HTTP/1.1
Date: Thu, 28 Jun 2012 23:36:02 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 403 Forbidden
x-amz-request-id: C65FBEE389390E32
x-amz-id-2: SbTEYHhz5KP1N9NyYyi1bsRufdnIaRAfxLqw0NcNfS4HE1w3piBJngnSHtIn+tae
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Thu, 28 Jun 2012 23:36:06 GMT
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Thu, 28 Jun 2012 23:36:02 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: ELAfLjK34fTRk696P255vLe78AndkZeab2cMrTj4zyxmkC2+6DG5SLu/E8zh6h7n
x-amz-request-id: 39E8022AEAB3290A
Date: Thu, 28 Jun 2012 23:36:07 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=ftabrizi%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:36:02 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: aSrkORcIXPKf9u3pfPWw2kYs18OScsOfzwEJKWpKaLQEkRnxbsD+QP6G3hPBzLUG
x-amz-request-id: D15FE9D5746E7625
Date: Thu, 28 Jun 2012 23:36:07 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=rbechtel%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:36:03 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: YZt9MUYSeCi5rfs3S0lddATKx3turxGt8wPXATQ0sS3pxZvD30qGsbrrmDv8J2Ho
x-amz-request-id: 1282CE990E83ECBB
Date: Thu, 28 Jun 2012 23:36:08 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=rbechtel%2FEnglish_Literature%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:36:03 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: J8tOyO3vMwDj2nwgc6EvRCVYNKN5FPJZzbJAxxaaAFJoksMciX+93p1M+gBtccPW
x-amz-request-id: 1C31E4E6E8A85119
Date: Thu, 28 Jun 2012 23:36:08 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=rbechtel%2FEnglish_Literature%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:37:24 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: ryOfOES0L+e6A9JEL61coiyHkqKXGweXLDMs2WqK7h6kErkrp/2yn2vBEPUQKmCv
x-amz-request-id: 55427FFDE67045DA
Date: Thu, 28 Jun 2012 23:37:29 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
HEAD / HTTP/1.1
Date: Thu, 28 Jun 2012 23:38:46 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: 7JU2Dx/FUAihNLfKIgHrvC3C9fkWjrT5D5sBjO1dH8NikmN+8IvvQpwyGjfGKA5k
x-amz-request-id: 3857FC6BAA7D643A
Date: Thu, 28 Jun 2012 23:38:51 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?acl HTTP/1.1
Date: Thu, 28 Jun 2012 23:38:46 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 403 Forbidden
x-amz-request-id: CA505CFF6E858812
x-amz-id-2: 4N3F2LpSb4xPyrSEhTK1XjRdlvNsGzQgP6BCehREuFCrcrhDM2dJk/zsZrxrgViw
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Thu, 28 Jun 2012 23:38:50 GMT
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=ftabrizi%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:38:46 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: Vb9dzk68hAx/2lMb60ha5PjDAkwCyxx9Tc8ziehViduY/NOxjCZ7v5I+e9if2Tv8
x-amz-request-id: 27EBA3CCA417E14A
Date: Thu, 28 Jun 2012 23:38:51 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Thu, 28 Jun 2012 23:38:47 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: dArd372T/jdsQku4sColvk2fDLqDhfw8WNt0AosX4mB2UhXEX3G5utJZXlcewX9B
x-amz-request-id: 64ABA593B224976C
Date: Thu, 28 Jun 2012 23:38:51 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=rbechtel%2FEnglish_Literature%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:38:47 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: Ru6zYATJCTBszICrkyJr5BB/UCYwxAqQ4V4mJcPuQQXy4EL5UsmrfPm9SpFyWQO4
x-amz-request-id: 53A6544BBB9F868F
Date: Thu, 28 Jun 2012 23:38:51 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix=rbechtel%2F HTTP/1.1
Date: Thu, 28 Jun 2012 23:38:47 GMT
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (9350) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: FNYdT2lYwXAayu7EmEoRixlkJLsvEe62xRFxhezePUEWIlDZDmYPkgvfnEl06T73
x-amz-request-id: C31A12D842B4531E
Date: Thu, 28 Jun 2012 23:38:52 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3

Output from the cyberduck.log showing these errors:

2012-06-28 14:28:19,953 [background-19] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:null
java.lang.NullPointerException
	at ch.cyberduck.core.s3.S3Path.convert(S3Path.java:1265)
	at ch.cyberduck.core.s3.S3Path.rename(S3Path.java:1392)
	at ch.cyberduck.core.MoveTransfer.transfer(MoveTransfer.java:173)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:465)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:600)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:565)
	at ch.cyberduck.core.Transfer.start(Transfer.java:705)
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController$TransferBrowserBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:94)
	at ch.cyberduck.ui.AbstractController$1.call(AbstractController.java:94)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at java.lang.Thread.run(Thread.java:883)
	at cli.System.Threading.ThreadHelper.ThreadStart_Context(Unknown Source)
	at cli.System.Threading.ExecutionContext.runTryCode(Unknown Source)
	at cli.System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(Unknown Source)
2012-06-28 14:28:22,310 [background-18] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:null
java.lang.NullPointerException
	at ch.cyberduck.core.s3.S3Path.convert(S3Path.java:1265)
	at ch.cyberduck.core.s3.S3Path.rename(S3Path.java:1392)
	at ch.cyberduck.core.MoveTransfer.transfer(MoveTransfer.java:173)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:465)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:600)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:565)
	at ch.cyberduck.core.Transfer.start(Transfer.java:705)
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController$TransferBrowserBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:94)
	at ch.cyberduck.ui.AbstractController$1.call(AbstractController.java:94)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at java.lang.Thread.run(Thread.java:883)
	at cli.System.Threading.ThreadHelper.ThreadStart_Context(Unknown Source)
	at cli.System.Threading.ExecutionContext.runTryCode(Unknown Source)
	at cli.System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(Unknown Source)
2012-06-28 14:37:09,706 [background-22] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:null
java.lang.NullPointerException
	at ch.cyberduck.core.s3.S3Path.convert(S3Path.java:1265)
	at ch.cyberduck.core.s3.S3Path.rename(S3Path.java:1392)
	at ch.cyberduck.core.MoveTransfer.transfer(MoveTransfer.java:173)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:465)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:600)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:565)
	at ch.cyberduck.core.Transfer.start(Transfer.java:705)
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController$TransferBrowserBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:94)
	at ch.cyberduck.ui.AbstractController$1.call(AbstractController.java:94)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at java.lang.Thread.run(Thread.java:883)
	at cli.System.Threading.ThreadHelper.ThreadStart_Context(Unknown Source)
	at cli.System.Threading.ExecutionContext.runTryCode(Unknown Source)
	at cli.System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(Unknown Source)
2012-06-28 14:37:18,055 [background-23] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:null
java.lang.NullPointerException
	at ch.cyberduck.core.s3.S3Path.convert(S3Path.java:1265)
	at ch.cyberduck.core.s3.S3Path.rename(S3Path.java:1392)
	at ch.cyberduck.core.MoveTransfer.transfer(MoveTransfer.java:173)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:465)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:600)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:565)
	at ch.cyberduck.core.Transfer.start(Transfer.java:705)
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController$TransferBrowserBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:94)
	at ch.cyberduck.ui.AbstractController$1.call(AbstractController.java:94)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at java.lang.Thread.run(Thread.java:883)
	at cli.System.Threading.ThreadHelper.ThreadStart_Context(Unknown Source)
	at cli.System.Threading.ExecutionContext.runTryCode(Unknown Source)
	at cli.System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(Unknown Source)
Last edited on Jun 28, 2012 at 11:45:52 PM by cforney (previous) (diff)

comment:8 Changed on Jul 3, 2012 at 3:05:02 PM by dkocher

  • Milestone changed from 4.2.1 to 4.3
  • Status changed from reopened to new

comment:9 Changed on Jul 16, 2012 at 9:39:35 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r9629.

comment:10 Changed on Sep 26, 2012 at 4:52:51 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
Note: See TracTickets for help on using tickets.
swiss made software